# vim: set ts=4 sw=4 et:

Name:           mp3splt
Version:        2.4
Release:        1.2
Summary:        Utility for MP3/Ogg Splitting without Decoding
# http://prdownloads.sourceforge.net/mp3splt/mp3splt-%{version}.tar.gz
Source:         mp3splt-%{version}.tar.bz2
URL:            http://mp3splt.sourceforge.net/mp3splt_page/home.php
Group:          Productivity/Multimedia/Sound/Editors and Convertors
License:        GNU General Public License version 2 or later (GPLv2+)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  libmp3splt-devel >= 0.7
BuildRequires:  autoconf automake libtool pkgconfig
BuildRequires:  gcc make glibc-devel

%description
mp3splt  is  a  free  command-line  utility that allows to
split mp3 and ogg files from a begin time to an end  time,
without  need  of decoding and reencoding.  It's useful to
split large mp3/ogg to make  smaller  files  or  to  split
entire  albums  to  obtain  original  tracks.   Note  that
mp3splt will recognize an ogg file  instead  of  mp3  only
from  extension.   So  if your file is Ogg Vorbis, it must
end with ".ogg"

If you are splitting an album, you can select split points
and  filenames  manually or you can get them automatically
from CDDB (internet or a local file) or from a .cue  file.
(See -c option)

You can also try to split files automatically with silence
detection (See -s option)

Or if you have a  file  created  either  with  Mp3Wrap  or
AlbumWrap, you can easily split it just with -w option and
no further arguments.




Authors:
--------
    Matteo Trotta <mtrotta@users.sourceforge.net>

%prep
%setup -q

%build
%configure \
    --enable-oggsplt \
    --with-mp3splt="%{_prefix}" \
    --with-mp3splt-libraries="%{_libdir}" \
    --with-mp3splt-includes="%{_includedir}"

%__make %{?_smp_flags}

%install
%makeinstall
[ -e "%{buildroot}%{_bindir}/oggsplt" ] \
|| %__ln_s mp3splt "%{buildroot}%{_bindir}/oggsplt"
%__ln_s mp3splt.1%{ext_man} "%{buildroot}%{_mandir}/man1/oggsplt.1%{ext_man}"

%find_lang mp3splt

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f mp3splt.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/mp3splt
%{_bindir}/oggsplt
%doc %{_mandir}/man1/mp3splt.1%{ext_man}
%doc %{_mandir}/man1/oggsplt.1%{ext_man}

%changelog
* Thu Jul 21 2011 pascal.bleser@opensuse.org
- update to 2.4:
  * build against libmp3splt 0.7
  * now features "negative" splitpoints (EOF-1.0)
* Sat Feb 27 2010 pascal.bleser@opensuse.org
- update to 2.2.8
* Sat Oct 31 2009 pascal.bleser@opensuse.org
- update to 2.2.7
* Mon Jun  8 2009 pascal.bleser@opensuse.org
- rebuild against libaudclient.so.2
* Mon Jan 19 2009 guru@unixtech.be
- update to 2.2.3
* Sat Sep  6 2008 guru@unixtech.be
- update to 2.2:
  * this is the first mp3splt version using libmp3splt
  * checks for compatibilities between options
  * added 'm-' for mp3 STDIN
  * the ability to specify the server and port for freedb search (now using
    tracktype.org by default)
  * the original id3v1 MP3 tags are kept in the split files, as are Ogg Vorbis tags
  * add custom tags with the new '-g' option
  * the '-o' option now creates the specified directories if the '-d' option
    is not specified
  * a '-Q' option enables the '-q' option and does not print anything to STDOUT
  * an '-i' option for counting the number of silence split points
* Fri Sep  7 2007 guru@unixtech.be
- moved to packman
* Sun Dec 10 2006 guru@unixtech.be
- revamped spec file
* Mon Mar 27 2006 guru@unixtech.be
- remove explicit Requires discovered by AutoReqProv
- fix BuildRequires
- pass -j to make
- correct license
- rewrote spec file
* Sat Oct 22 2005 guru@unixtech.be
- removed Prefix
- added symlink as oggsplt manpage
- new upstream version
- added patch for gcc4
- added debuginfo
- spec file overhaul
* Fri Oct 29 2004 guru@unixtech.be
- version 2.1
- fixed license: to LGPL
* Tue Jan 20 2004 guru@unixtech.be
- version 2.0
* Fri Sep 19 2003 guru@unixtech.be
- first RPM
